From 5165602c54b72cf739acdb3ce969bb4defa61aa7 Mon Sep 17 00:00:00 2001
From: James Cryer <366068+jamescryer@users.noreply.github.com>
Date: Mon, 3 Aug 2020 20:32:57 +0100
Subject: [PATCH] Updated and linted

---
 .eslintrc                                |   25 +-
 .prettierrc                              |    8 +
 chai-tests/main_spec.js                  |   19 +-
 nodejs-tests/compareImages.test.js       |   23 +-
 nodejs-tests/errorPixelTransform.test.js |   16 +-
 nodejs-tests/ignore.test.js              |   12 +-
 nodejs-tests/resemble.test.js            |   84 +-
 package-lock.json                        | 3513 +++++++++-------------
 package.json                             |   16 +-
 resemble.js                              |  313 +-
 10 files changed, 1679 insertions(+), 2350 deletions(-)
 create mode 100644 .prettierrc

diff --git a/.eslintrc b/.eslintrc
index e85721e..771a51d 100644
--- a/.eslintrc
+++ b/.eslintrc
@@ -1,28 +1,16 @@
 {
-    "extends": [
-        "eslint-config-es5",
-        "eslint:recommended",
-        "plugin:prettier/recommended"
-    ],
+    "extends": ["eslint:recommended", "plugin:prettier/recommended"],
     "parserOptions": {
         "ecmaVersion": 2017,
         "sourceType": "module"
     },
     "rules": {
-        "prettier/prettier": [
-            "error",
-            {
-                "singleQuote": true,
-                "tabWidth": 4,
-                "printWidth": 160
-            }
-        ],
         "no-console": "off",
         "no-use-before-define": ["error", { "functions": false }],
         "func-names": ["off"],
         "complexity": ["error", 26],
         "curly": ["error", "all"],
-        "dot-location":  ["error", "property"],
+        "dot-location": ["error", "property"],
         "dot-notation": ["error"],
         "eqeqeq": ["error", "always"],
         "guard-for-in": "error",
@@ -37,11 +25,16 @@
         "no-shadow": "error",
         "global-require": "error",
         "comma-dangle": ["error", "never"],
-        "camelcase": ["error",{"properties": "always"}],
+        "camelcase": ["error", { "properties": "always" }],
         "no-prototype-builtins": "off"
     },
     "env": {
         "amd": true,
-        "es6": true
+        "es6": true,
+        "browser": true,
+        "node": true
+    },
+    "globals": {
+        "globalThis": false
     }
 }
diff --git a/.prettierrc b/.prettierrc
new file mode 100644
index 0000000..2b7e4f4
--- /dev/null
+++ b/.prettierrc
@@ -0,0 +1,8 @@
+{
+    "trailingComma": "none",
+    "tabWidth": 4,
+    "semi": true,
+    "singleQuote": false,
+    "endOfLine": "lf",
+    "printWidth": 160
+}
diff --git a/nodejs-tests/compareImages.test.js b/nodejs-tests/compareImages.test.js
index 8952887..4626601 100644
--- a/nodejs-tests/compareImages.test.js
+++ b/nodejs-tests/compareImages.test.js
@@ -9,9 +9,7 @@ describe("compareImages", () => {
     test("Buffers data", async () => {
         const readImg1 = readFile("./demoassets/People.jpg");
         const readImg2 = readFile("./demoassets/People2.jpg");
-        const readComparison = readFile(
-            "./nodejs-tests/assets/PeopleComparedToPeople2.png"
-        );
+        const readComparison = readFile("./nodejs-tests/assets/PeopleComparedToPeople2.png");
 
         const data = await compareImages(await readImg1, await readImg2);
         const buffer = data.getBuffer();
@@ -27,9 +25,7 @@ describe("compareImages", () => {
     test("Buffer data includeOriginal", async () => {
         const readImg1 = readFile("./demoassets/People.jpg");
         const readImg2 = readFile("./demoassets/People2.jpg");
-        const readComparison = readFile(
-            "./nodejs-tests/assets/PeopleComparedToPeople2WithOriginal.png"
-        );
+        const readComparison = readFile("./nodejs-tests/assets/PeopleComparedToPeople2WithOriginal.png");
         const data = await compareImages(await readImg1, await readImg2);
         const buffer = data.getBuffer(true);
         const comparison = await readComparison;
@@ -37,13 +33,8 @@ describe("compareImages", () => {
     });
 
     test("throws when failed", async () => {
-        const promise = compareImages(
-            fs.readFileSync("./demoassets/People.jpg"),
-            "bogus data"
-        );
-        await expect(promise).rejects.toMatch(
-            "Error: ENOENT, No such file or directory 'bogus data'"
-        );
+        const promise = compareImages(fs.readFileSync("./demoassets/People.jpg"), "bogus data");
+        await expect(promise).rejects.toMatch("Error: ENOENT, No such file or directory 'bogus data'");
     });
 
     test("returns early", async () => {
@@ -52,11 +43,7 @@ describe("compareImages", () => {
         const options = {
             returnEarlyThreshold: 5
         };
-        const data = await compareImages(
-            await readImg1,
-            await readImg2,
-            options
-        );
+        const data = await compareImages(await readImg1, await readImg2, options);
 
         expect(data.misMatchPercentage).toEqual("5.00");
     });
diff --git a/nodejs-tests/errorPixelTransform.test.js b/nodejs-tests/errorPixelTransform.test.js
index fbf4675..86d14de 100644
--- a/nodejs-tests/errorPixelTransform.test.js
+++ b/nodejs-tests/errorPixelTransform.test.js
@@ -3,11 +3,11 @@
 const resemble = require("../resemble");
 const fs = require("fs");
 
-const testErrorPixelTransform = transform => {
+const testErrorPixelTransform = (transform) => {
     const people = fs.readFileSync("./demoassets/ghost1.png");
     const people2 = fs.readFileSync("./demoassets/ghost2.png");
 
-    return new Promise(resolve => {
+    return new Promise((resolve) => {
         resemble.outputSettings({
             errorType: transform,
             errorColor: {
@@ -19,16 +19,14 @@ const testErrorPixelTransform = transform => {
 
         resemble(people)
             .compareTo(people2)
-            .onComplete(data => {
+            .onComplete((data) => {
                 const buffer = data.getBuffer();
 
                 expect(buffer).toBeInstanceOf(Buffer);
 
                 // fs.writeFileSync(`./nodejs-tests/assets/pixelErrorTransform/${transform}.new.png`, buffer);
 
-                const comparison = fs.readFileSync(
-                    `./nodejs-tests/assets/pixelErrorTransform/${transform}.png`
-                );
+                const comparison = fs.readFileSync(`./nodejs-tests/assets/pixelErrorTransform/${transform}.png`);
 
                 expect(buffer.equals(comparison)).toBe(true);
                 resolve();
@@ -41,11 +39,9 @@ describe("errorPixelTransform", () => {
 
     test("movement", async () => testErrorPixelTransform("movement"));
 
-    test("flatDifferenceIntensity", async () =>
-        testErrorPixelTransform("flatDifferenceIntensity"));
+    test("flatDifferenceIntensity", async () => testErrorPixelTransform("flatDifferenceIntensity"));
 
-    test("movementDifferenceIntensity", async () =>
-        testErrorPixelTransform("movementDifferenceIntensity"));
+    test("movementDifferenceIntensity", async () => testErrorPixelTransform("movementDifferenceIntensity"));
 
     test("diffOnly", async () => testErrorPixelTransform("diffOnly"));
 });
diff --git a/nodejs-tests/ignore.test.js b/nodejs-tests/ignore.test.js
index 88e1141..3ac51b7 100644
--- a/nodejs-tests/ignore.test.js
+++ b/nodejs-tests/ignore.test.js
@@ -8,7 +8,7 @@ describe("ignore", () => {
         const text = fs.readFileSync("./nodejs-tests/assets/text.png");
         const textAa = fs.readFileSync("./nodejs-tests/assets/textAa.png");
 
-        return new Promise(resolve => {
+        return new Promise((resolve) => {
             const opts = { ignore: "antialiasing" };
 
             resemble.compare(text, textAa, opts, (_x, data) => {
@@ -17,9 +17,7 @@ describe("ignore", () => {
 
                 expect(buffer).toBeInstanceOf(Buffer);
 
-                const comparison = fs.readFileSync(
-                    "./nodejs-tests/assets/isAntialiased/diffOn.png"
-                );
+                const comparison = fs.readFileSync("./nodejs-tests/assets/isAntialiased/diffOn.png");
 
                 expect(buffer.equals(comparison)).toBe(true);
                 resolve();
@@ -31,16 +29,14 @@ describe("ignore", () => {
         const text = fs.readFileSync("./nodejs-tests/assets/text.png");
         const textAa = fs.readFileSync("./nodejs-tests/assets/textAa.png");
 
-        return new Promise(resolve => {
+        return new Promise((resolve) => {
             resemble.compare(text, textAa, {}, (_x, data) => {
                 expect(data.misMatchPercentage).toBe("5.19");
                 const buffer = data.getBuffer();
 
                 expect(buffer).toBeInstanceOf(Buffer);
 
-                const comparison = fs.readFileSync(
-                    "./nodejs-tests/assets/isAntialiased/diffOff.png"
-                );
+                const comparison = fs.readFileSync("./nodejs-tests/assets/isAntialiased/diffOff.png");
 
                 expect(buffer.equals(comparison)).toBe(true);
                 resolve();
diff --git a/nodejs-tests/resemble.test.js b/nodejs-tests/resemble.test.js
index 6376e4a..7d707ea 100644
--- a/nodejs-tests/resemble.test.js
+++ b/nodejs-tests/resemble.test.js
@@ -5,19 +5,13 @@ const fs = require("fs");
 
 describe("resemble", () => {
     test("base64", () => {
-        const peopleSrc = `data:image/jpeg;base64,${fs.readFileSync(
-            "./demoassets/People.jpg",
-            "base64"
-        )}`;
-        const people2Src = `data:image/jpeg;base64,${fs.readFileSync(
-            "./demoassets/People2.jpg",
-            "base64"
-        )}`;
-
-        return new Promise(resolve => {
+        const peopleSrc = `data:image/jpeg;base64,${fs.readFileSync("./demoassets/People.jpg", "base64")}`;
+        const people2Src = `data:image/jpeg;base64,${fs.readFileSync("./demoassets/People2.jpg", "base64")}`;
+
+        return new Promise((resolve) => {
             resemble(peopleSrc)
                 .compareTo(people2Src)
-                .onComplete(data => {
+                .onComplete((data) => {
                     expect(data.diffBounds.bottom).toEqual(431);
                     expect(data.diffBounds.left).toEqual(22);
                     expect(data.diffBounds.right).toEqual(450);
@@ -32,10 +26,10 @@ describe("resemble", () => {
     });
 
     test("files", () => {
-        return new Promise(resolve => {
+        return new Promise((resolve) => {
             resemble("demoassets/People.jpg")
                 .compareTo("demoassets/People2.jpg")
-                .onComplete(data => {
+                .onComplete((data) => {
                     expect(data.diffBounds).toEqual(
                         expect.objectContaining({
                             bottom: expect.any(Number),
@@ -59,13 +53,11 @@ describe("resemble", () => {
     });
 
     test("file not found", () =>
-        new Promise(resolve => {
+        new Promise((resolve) => {
             resemble("../demoassets/People.jpg")
                 .compareTo("../demoassets/404-image.jpg")
-                .onComplete(data => {
-                    expect(data.error).toEqual(
-                        "Error: ENOENT, No such file or directory '../demoassets/People.jpg'"
-                    );
+                .onComplete((data) => {
+                    expect(data.error).toEqual("Error: ENOENT, No such file or directory '../demoassets/People.jpg'");
                     resolve();
                 });
         }));
@@ -74,10 +66,10 @@ describe("resemble", () => {
         const people = fs.readFileSync("./demoassets/People.jpg");
         const people2 = fs.readFileSync("./demoassets/People2.jpg");
 
-        return new Promise(resolve => {
+        return new Promise((resolve) => {
             resemble(people)
                 .compareTo(people2)
-                .onComplete(data => {
+                .onComplete((data) => {
                     expect(data.diffBounds.bottom).toEqual(431);
                     expect(data.diffBounds.left).toEqual(22);
                     expect(data.diffBounds.right).toEqual(450);
@@ -95,10 +87,10 @@ describe("resemble", () => {
         const people = fs.readFileSync("./demoassets/ghost1.png");
         const people2 = fs.readFileSync("./demoassets/ghost2.png");
 
-        return new Promise(resolve => {
+        return new Promise((resolve) => {
             resemble(people)
                 .compareTo(people2)
-                .onComplete(data => {
+                .onComplete((data) => {
                     expect(data.diffBounds.bottom).toEqual(138);
                     expect(data.diffBounds.left).toEqual(90);
                     expect(data.diffBounds.right).toEqual(157);
@@ -116,7 +108,7 @@ describe("resemble", () => {
         const people = fs.readFileSync("./demoassets/ghost1.png");
         const people2 = fs.readFileSync("./demoassets/ghost2.png");
 
-        return new Promise(resolve => {
+        return new Promise((resolve) => {
             resemble.outputSettings({
                 boundingBox: {
                     left: 80,
@@ -128,7 +120,7 @@ describe("resemble", () => {
 
             resemble(people)
                 .compareTo(people2)
-                .onComplete(data => {
+                .onComplete((data) => {
                     expect(data.misMatchPercentage).toEqual("0.04");
                     resolve();
                 });
@@ -139,7 +131,7 @@ describe("resemble", () => {
         const people = fs.readFileSync("./demoassets/ghost1.png");
         const people2 = fs.readFileSync("./demoassets/ghost2.png");
 
-        return new Promise(resolve => {
+        return new Promise((resolve) => {
             resemble.outputSettings({
                 errorColor: {
                     red: 0,
@@ -150,15 +142,13 @@ describe("resemble", () => {
 
             resemble(people)
                 .compareTo(people2)
-                .onComplete(data => {
+                .onComplete((data) => {
                     const buffer = data.getBuffer();
 
                     expect(buffer).toBeInstanceOf(Buffer);
                     expect(buffer.length).toBe(9391);
 
-                    const comparison = fs.readFileSync(
-                        "./nodejs-tests/assets/pixelErrorColorTest.png"
-                    );
+                    const comparison = fs.readFileSync("./nodejs-tests/assets/pixelErrorColorTest.png");
                     expect(buffer.equals(comparison)).toBe(true);
                     resolve();
                 });
@@ -169,7 +159,7 @@ describe("resemble", () => {
         const people = fs.readFileSync("./nodejs-tests/assets/text.png");
         const people2 = fs.readFileSync("./nodejs-tests/assets/textAa.png");
 
-        return new Promise(resolve => {
+        return new Promise((resolve) => {
             resemble.outputSettings({
                 boundingBoxes: [
                     {
@@ -189,7 +179,7 @@ describe("resemble", () => {
 
             resemble(people)
                 .compareTo(people2)
-                .onComplete(data => {
+                .onComplete((data) => {
                     expect(data.misMatchPercentage).toEqual("3.39");
                     resolve();
                 });
@@ -200,7 +190,7 @@ describe("resemble", () => {
         const people = fs.readFileSync("./nodejs-tests/assets/text.png");
         const people2 = fs.readFileSync("./nodejs-tests/assets/textAa.png");
 
-        return new Promise(resolve => {
+        return new Promise((resolve) => {
             resemble.outputSettings({
                 ignoredBoxes: [
                     {
@@ -220,7 +210,7 @@ describe("resemble", () => {
 
             resemble(people)
                 .compareTo(people2)
-                .onComplete(data => {
+                .onComplete((data) => {
                     expect(data.misMatchPercentage).toEqual("1.80");
                     resolve();
                 });
@@ -231,7 +221,7 @@ describe("resemble", () => {
         const people = fs.readFileSync("./nodejs-tests/assets/text.png");
         const people2 = fs.readFileSync("./nodejs-tests/assets/textAa.png");
 
-        return new Promise(resolve => {
+        return new Promise((resolve) => {
             resemble.outputSettings({
                 ignoredBox: {
                     left: 20,
@@ -243,7 +233,7 @@ describe("resemble", () => {
 
             resemble(people)
                 .compareTo(people2)
-                .onComplete(data => {
+                .onComplete((data) => {
                     expect(data.misMatchPercentage).toEqual("3.52");
                     resolve();
                 });
@@ -254,11 +244,11 @@ describe("resemble", () => {
         const people = fs.readFileSync("./nodejs-tests/assets/text.png");
         const people2 = fs.readFileSync("./nodejs-tests/assets/textAa.png");
 
-        return new Promise(resolve => {
+        return new Promise((resolve) => {
             resemble(people)
                 .compareTo(people2)
                 .setReturnEarlyThreshold(2)
-                .onComplete(data => {
+                .onComplete((data) => {
                     expect(data.misMatchPercentage).toEqual("2.00");
                     resolve();
                 });
@@ -266,16 +256,10 @@ describe("resemble", () => {
     });
 
     test("partial diff with ignored color", () => {
-        const peopleSrc = `data:image/jpeg;base64,${fs.readFileSync(
-            "./nodejs-tests/assets/PeopleWithIgnoreMask.png",
-            "base64"
-        )}`;
-        const people2Src = `data:image/jpeg;base64,${fs.readFileSync(
-            "./demoassets/People2.jpg",
-            "base64"
-        )}`;
-
-        return new Promise(resolve => {
+        const peopleSrc = `data:image/jpeg;base64,${fs.readFileSync("./nodejs-tests/assets/PeopleWithIgnoreMask.png", "base64")}`;
+        const people2Src = `data:image/jpeg;base64,${fs.readFileSync("./demoassets/People2.jpg", "base64")}`;
+
+        return new Promise((resolve) => {
             resemble.outputSettings({
                 ignoreAreasColoredWith: {
                     r: 255,
@@ -287,11 +271,9 @@ describe("resemble", () => {
 
             resemble(people2Src)
                 .compareTo(peopleSrc)
-                .onComplete(data => {
+                .onComplete((data) => {
                     const buffer = data.getBuffer();
-                    const comparison = fs.readFileSync(
-                        "./nodejs-tests/assets/ignoredColorTestResult.png"
-                    );
+                    const comparison = fs.readFileSync("./nodejs-tests/assets/ignoredColorTestResult.png");
                     expect(buffer.equals(comparison)).toBe(true);
                     resolve();
                 });
